<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	# adm

	system::adm();

	$id =  isset( $_GET['id'] ) ? system::abs($_GET['id']): 0;

	if (cache_pf::ch($id) === false)system::header('/admin/platforms','Ошибка, ID не найден');

	$act = cache_pf::check($id);

	$mod = ($act['mode'] == 1 ? 0:1);

	$use = DB :: $dbh -> queryFetch("SELECT CK FROM user WHERE id = ? LIMIT 1;", array($act['user'])); 
	$use = cache_user::check($use['CK']); 	

	$message = '
	Ваш сайт '.$act['url'].' '.($act['mode'] == 1 ? 'одобрен':'на модерации').' в рейтинге сайтов '.domain.'</br></br>
	С уважением, администрация рейтинга '.domain.'.	
	';	
	
	mail::send($use['email'], ''.domain.' Системное оповещение ', ''.$message.'');

	DB :: $dbh -> query("UPDATE platforms SET mode = ? WHERE id = ? LIMIT 1;", array($mod,$id));	

	cache_pf::save($id);			

	system::header('/admin/platforms','Успешно',1,1);

?>